
/*! New db scheme, db fill with JSON config */

CREATE TABLE templates (
  _id integer PRIMARY KEY,
  title          text    NOT NULL,
  max_photos     integer DEFAULT 1,
  face_detection boolean DEFAULT 0,
  aspects        text,
  is_animated    boolean DEFAULT 0,
  order_number   integer NOT NULL, 
  popular_pos    integer DEFAULT 0,
  is_new         boolean DEFAULT 0,
  pricing        text    NOT NULL,
  preview        text,
  legacy_id      text    NOT NULL,
  api_type       integer,
  result_type    integer,
  version        integer DEFAULT 1,
  iws            text,
  processing_url text,
  tutorial       text,
  original_url   text,
  original_asp   float,
  result_url     text,
  result_video_url text,
  result_asp     float,
  thumbnail_url  text,
  thumbnail_asp  float,
  flags          integer,
  keywords       text
);

CREATE TABLE groups (
  _id integer   PRIMARY KEY,
  title         text NOT NULL,
  _order        integer UNIQUE,
  type          text    NOT NULL,
  new_count     integer NOT NULL default 0,
  preview       text    NOT NULL,
  legacy_id     text    NOT NULL,
  extras        text,
  theme         text,
  sort          text,
  preview_asp   float
);

CREATE TABLE group_content (
  _id           integer PRIMARY KEY,
  group_id      integer NOT NULL,
  content_id    integer NOT NULL,
  type          text,
  extras        text
);

CREATE TABLE tabs (
  _id integer   PRIMARY KEY,
  title         text NOT NULL,
  _order        integer UNIQUE,
  type          integer NOT NULL,
  legacy_id     text    NOT NULL,
  icon          text,
  side_icon     text,
  promo_in_app  boolean DEFAULT 0,
  theme         text,
  show_as       text,
  rules         text,
  sort          text,
  unique_key    text
);

CREATE TABLE tab_content (
  _id           integer PRIMARY KEY,
  tab_id        integer NOT NULL,
  content_id    integer NOT NULL,
  type          text,
  extras        text
);